<template>
  <div id="top-bar">
    <div class="top-bar-logo"></div>
    <div class="top-bar-txt"><span>Mountains</span></div>
    <div class="top-bar-tools"><span class="date" v-text="date"></span></div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      date: '',
    }
  },
  methods: {
    getDate() {
      const date = new Date();
      const days = ['Sun','Mon','Tue','Wed','Thu','Fri','Sat'];
      const months = ['JAN','FEB','MAR','APR','MAY','JUN','JUL','AUG','SEP','OCT','NOV','DEC'];
      this.date = `${days[date.getDay()]} ${date.Format('hh:mm:ss')}`;
    },
    async changeDate() {
      await new Promise(resolve => {
        setTimeout(() => {
          this.getDate();
          resolve();
        }, 1000);
      });
      this.changeDate();
    }
  },
  mounted() {
    this.changeDate();
  }
}
</script>

<style>
:root {
  --height: 24px;
  --width: 100vw;
}
#top-bar {
  position: fixed;
  display: flex;
  top: 0;
  height: var(--height);
  width: var(--width);
  font-size: .9rem;
  line-height: var(--height);
  color: #fff;
  background-color: hsl(222, 27%, 15%);
  filter: drop-shadow(0 1px 1px #000);
  z-index: 1000;
}
#top-bar .top-bar-logo {
  position: relative;
  height: calc(var(--height) * .9);
  width: calc(var(--height) * .9);
  margin-left: .8rem;
  margin-right: .5rem;
  margin-top: calc(var(--height) * .1);
  mask-image: url("../assets/img/mountain.svg");
  background-color: #eee;
  filter: drop-shadow(0 1px 1px #000);
}
#top-bar .top-bar-txt {
  font-weight: 400;
}
#top-bar .top-bar-tools {
  margin-left: auto;
}
#top-bar .top-bar-tools .date {
  margin-right: .5rem;
}
</style>
